#include "Wire.h"
#include "SPI.h"
#include "math.h"
#include <VirtualWire.h> // inclusion de la librairie VirtualWire

int potentiometre;
int LED=0;

// Structure du message radio
typedef struct {
  char msg;
  float ValeurX;
  float ValeurY;
} Structure;
 

/* ==============================================================
*       VOID SETUP
* ============================================================== */ 
void setup() 
{
    Serial.begin(9600); // Initialisation du port série 

    vw_setup(2000);     // initialisation librairie VW à 2000 bauds
}
/* ==============================================================
*       VOID LOOP
*  ============================================================== */ 
void loop() {
    
  Structure message;
  potentiometre=analogRead(A5);

/* ==============================================================
 *    Emission radio 
 * ============================================================== */
//  
    if (LED==0) {
      LED=1;
    }
    else {
      LED=0;
    }
    message.msg='T';
    message.ValeurX = potentiometre;
    message.ValeurY=LED;
    delay(200);
    Serial.print("Transmission : Message = ");Serial.print(message.msg);
    Serial.print(" | Valeur A=");Serial.print(potentiometre);
    Serial.print("  | LED=");Serial.println(LED);

    vw_send((byte*) &message, sizeof(message)); // Envoi du message
    vw_wait_tx();  // Attente de fin de transmission
}
