

#include <VirtualWire.h> // inclusion de la librairie VirtualWire

int potentiometre;
char msg_recu;
int LED;
/* ===================================================
 *          Déclaration des variables
 * =================================================== */ 
// Structure du message radio
typedef struct {
  char msg;
  float ValeurX;
  float ValeurY;
} Structure;

/* ==============================================================
 *            ROUTINE D'INITIALISATION
 * ============================================================== */
void setup() {
  
  pinMode(2,OUTPUT);
/* ==============================================================
 *    Console et réception radio
 * ============================================================== */  
  Serial.begin(9600); // Initialisation du port série 

  vw_set_rx_pin(7); // réception radio sur pin N°7
  vw_setup(2000); // initialisation de la librairie VirtualWire à 2000 bauds
  vw_rx_start();  // Activation de la partie réception de la librairie VirtualWire
}
//
/* ==============================================================
 *      VOID LOOP 
 * ============================================================== */ 
void loop() 
{

  
// ************************************** 
// *    Réception Message               *
// ************************************** 
//
  Structure message;  
  byte taille_message = sizeof(Structure);

// On attend de recevoir un message
  if (vw_wait_rx_max(200)) {
    if (vw_get_message((byte *) &message, &taille_message)) {
//      Serial.println("Message reçu");
      msg_recu=message.msg;
      potentiometre=message.ValeurX;
      LED=message.ValeurY;
    }

  Serial.print("Message =");Serial.print(msg_recu);
  Serial.print(" | Potentiometre  =");Serial.print(potentiometre);
  Serial.print(" | LED  =");Serial.println(LED);
  }
  // ************************************ 
// *    Allumage LED                    *
// ************************************** 
//
  if (LED==0) {
    digitalWrite(2,LOW);
  }
  else {
    digitalWrite(2,HIGH);
  }
}
